跳转到主要内容
GET
/
v2
/
enterprise
/
organizations
/
{org_id}
/
git
/
permissions
Enterprise 组织权限 API 端点
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/organizations/{org_id}/git/permissions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v2/enterprise/organizations/{org_id}/git/permissions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v2/enterprise/organizations/{org_id}/git/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_more": true,
  "items": [
    {
      "host": "<string>",
      "permission_id": "<string>",
      "group_prefix": "<string>",
      "prefix_path": "<string>",
      "repo_path": "<string>"
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123,
  "next_cursor": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
需要企业管理员的个人 API key。 返回在你的 Enterprise 中,某个特定组织可访问的 Git 仓库权限的分页列表。

授权

Authorization
string
header
必填

仅供 Enterprise 管理员使用的个人 API Key(apk_user_*)

路径参数

org_id
string
必填

查询参数

skip
integer
默认值:0
必填范围: x >= 0
limit
integer
默认值:100
必填范围: 1 <= x <= 200

响应

成功响应

has_more
boolean
必填
items
GitPermissionResponse · object[]
必填
limit
integer
必填
skip
integer
必填
total
integer
必填
next_cursor
integer | null